Get topic
curl --request GET \
--url https://api.mymarky.ai/api/businesses/{business_id}/topics/{topic_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mymarky.ai/api/businesses/{business_id}/topics/{topic_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mymarky.ai/api/businesses/{business_id}/topics/{topic_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"business_id": "<string>",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"body": "<string>",
"enabled": true,
"category_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Topics
get topic
Get a single topic.
Errors: 401 authentication_required: API key or token is missing, invalid, or revoked. 403 permission_denied: Your plan does not include API access, or this topic is not in your org. 404 resource_not_found: No topic with that ID exists. 429 rate_limit_exceeded: You sent too many requests this minute.
GET
/
api
/
businesses
/
{business_id}
/
topics
/
{topic_id}
Get topic
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A UUID identifier.
A UUID identifier.
Response
Successful Response
Topic ID
Business this topic belongs to
Topic title
When the topic was created
Topic description or notes
Whether the topic is active for generation
Category ID
Last update time
⌘I
